function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { Input, Button } from '@pisell/materials';
import React, { useEffect, useRef, useState } from 'react';
import { locales } from '@pisell/utils';
import "./index.less";
import localeTexts from "./locales";
import useEngineContext from "../../hooks/useEngineContext";
import CompensatedPisellContainer from "../../pro/compensatedPisellContainer";
var AddTempModal = function AddTempModal(_ref) {
  var _context$engine;
  var open = _ref.open,
    onCancel = _ref.onCancel,
    onConfirm = _ref.onConfirm,
    variant = _ref.variant;
  var context = useEngineContext();
  var isPhoneVariant = variant === 'phone';
  locales.init(localeTexts, (context === null || context === void 0 || (_context$engine = context.engine) === null || _context$engine === void 0 || (_context$engine = _context$engine.props) === null || _context$engine === void 0 ? void 0 : _context$engine.locale) || 'en');
  var _useState = useState(''),
    _useState2 = _slicedToArray(_useState, 2),
    inputValue = _useState2[0],
    setInputValue = _useState2[1];
  var inputRef = useRef(null);
  useEffect(function () {
    if (open) {
      setTimeout(function () {
        var _inputRef$current;
        (_inputRef$current = inputRef.current) === null || _inputRef$current === void 0 || _inputRef$current.focus();
      }, 100);
    }
  }, [open]);
  var handleAddTemplate = function handleAddTemplate() {
    onConfirm(inputValue);
  };
  return /*#__PURE__*/React.createElement(CompensatedPisellContainer, {
    renderType: isPhoneVariant ? 'drawer' : 'modal',
    showHandlerBar: isPhoneVariant,
    onHandlerBarClick: onCancel,
    props: isPhoneVariant ? {
      open: open,
      placement: 'bottom',
      width: '100%',
      height: 'auto',
      title: locales.getText('pisell2.text.note.modal.add.template.title'),
      onClose: onCancel,
      footer: null,
      destroyOnClose: true,
      className: 'pisell-add-temp-modal'
    } : {
      open: open,
      headerDivider: false,
      title: locales.getText('pisell2.text.note.modal.add.template.title'),
      onCancel: onCancel,
      footer: null,
      width: 680,
      centered: true,
      destroyOnClose: true,
      wrapClassName: 'pisell-add-temp-modal'
    }
  }, /*#__PURE__*/React.createElement("div", {
    className: "template-modal-content"
  }, /*#__PURE__*/React.createElement("div", {
    className: "template-input-section"
  }, /*#__PURE__*/React.createElement(Input, {
    value: inputValue,
    onChange: function onChange(e) {
      return setInputValue(e.target.value);
    },
    className: "template-input",
    ref: inputRef
  }), /*#__PURE__*/React.createElement(Button, {
    type: "primary",
    onClick: handleAddTemplate,
    className: "template-confirm-btn",
    disabled: !inputValue
  }, locales.getText('pisell2.text.note.modal.btn.confirm')))));
};
export default AddTempModal;